<p align="center"><img src="https://i.ibb.co/sb1gCnM/Banner-Air-Animals.jpg"></p>
<p align="center"><b>For Questions or Comments go to: <a href="https://discord.gg/mZNHDwxTgp">Marlton's Channel</a> or to my website: <a href="https://marlthon.com/">Marlthon's Website</a></b></p>

# Description
Adds 10 types of birds, 6 types of butterflies and 4 types of beetles to your game.</br>
Some birds are aggressive and others will run away from you, all drop feathers, and the aggressive ones beyond feathers will drop Entrails.</br>

<details>
<summary><b>Aggressive Birds</b> (<i>click to expand</i>)</summary>
<br/>

	Harpy Eagle:
	PrefabName: AA_HarpyEagle
	Spawn Biomes: Plains
	Required Weather: ClearSkies, Meadows ClearSkies and LightRain.
	Spawn Time = Day

	Bald Eagle:
	PrefabName: AA_BaldEagle
	Spawn Biomes: Meadows
	Required Weather: ClearSkies, LightRain, Fog and Rain.
	Spawn Time = Day

	Barn Owl:
	PrefabName: AA_BarnOwl
	Spawn Biomes: Meadows, BlackForest and Plains.
	Required Weather: ClearSkies, ClearSkies, BlackForest Fog.
	Spawn Time = Night

	Secretary Bird:
	PrefabName: AA_SecretaryBird
	Spawn Biomes: Plains.
	Required Weather: ClearSkies, LightRain.
	Spawn Time = Day

	Archaeopteryx:
	PrefabName: AA_Archaeopteryx
	Spawn Biomes: Swamp.
	Required Weather: None
	Spawn Time = Night and Day
</details>

<details>
<summary><b>Passive Birds</b> (<i>click to expand</i>)</summary>
<br/>

	Swan:
	PrefabName: AA_Swan
	Spawn Biomes: Meadows
	Required Weather: ClearSkies, LightRain, ClearThunderStorm and MeadowsClearSkies.
	Spawn Time = Day

	Wild Duck:
	PrefabName: AA_WildDuck
	Spawn Biomes: Meadows, BlackForest and Plains.
	Required Weather: ClearSkies LightRain, ClearThunderStorm and MeadowsClearSkies.
	Spawn Time = Day

	BroadTail Hummingbird:
	PrefabName: AA_BroadTailHummingbird
	Spawn Biomes:  Meadows, BlackForest and Plains.
	Required Weather: ClearSkies, MeadowsClearSkies, BlackForestFog and Fog.
	Spawn Time = Day

	Red Crowned Crane:
	PrefabName: AA_RedCrownedCrane
	Spawn Biomes: Meadows and Plains.
	Required Weather: ClearSkies, MeadowsClearSkies, LightRain.
	Spawn Time = Day

	Pigeon:
	PrefabName: AA_Pigeon
	Spawn Biomes: Meadows, BlackForest and Plains.
	Required Weather: ClearSkies, MeadowsClearSkies, BlackForestFog.
	Spawn Time = Day
</details>

<details>
<summary><b>Insecs</b> (<i>click to expand</i>)</summary>
<br/>

	ButterFly:
	PrefabName: ButterFly1, ButterFly2, ButterFly3, ButterFly4, ButterFly5, ButterFly6.
	Spawn Biomes: Meadows, BlackForest and Plains.
	Required Weather: ClearSkies, MeadowsClearSkies, BlackForestFog.
	Spawn Time = Day

	Beetle:
	PrefabName: Beetle1, Beetle2, Beetle3, Beetle4.
	Spawn Biomes: Meadows, BlackForest and Plains.
	Required Weather: ClearSkies, MeadowsClearSkies, LightRain, BlackForestFog.
	Spawn Time = Day
</details>

## Support

Did you like my Mods? If you want to support me click on the image link below:</br>

<a href="https://marlthon.com/spontaneous-donation"><img src="https://i.ibb.co/kJqcqkg/Pay-Pal-Donate.png" /></a>

*Any donation help me to continue creating and updating mods. Thank you very much for your support.**

![enter image description here](https://i.ibb.co/MfS6kMk/Mosaico-Air-Animals-New.png)

# Thanks

My sincere thanks to the entire OdinPlus team -  <i>@Azummat - @Blaxxun's - @DefendYourBase - @CookieMilk</i>

A special thanks to my Professor <i>@GraveBear</i>, without his teachings and his encouragement I would never have gotten it.

<p align="center"><img src="https://i.ibb.co/XkCT77x/Marlthon-Mods.png"></p>


>Mod is required on Server for Config Sync (this is still in development). 

>Download the latest copy of Bepinex per author's instructions.

>Place the AirAnimals.dll inside of the "Bepinex\plugins\" folder.

<p align="center"><b>For Questions or Comments go to: <a href="https://discord.gg/mZNHDwxTgp">Marlton's Channel</a> or to my website: <a href="https://marlthon.com/">Marlthon's Website</a></b></p>


# Latest ChangeLog

	v0.1.4
	- Fixed vfx effects bugs.
	- Aggressive birds attack damage balanced.
		
<details>
<summary><b>Previous ChangeLog</b> (<i>click to expand</i>)</summary>
<br/>

	v0.0.1
	- First version released, server sync active. (Will override player config if installed to server)

	v0.0.2
	- Adjusted damage, spawn time and detection range of the Eagle and Bat.
 
	v0.0.3
	- Added Swan. Harpy Eagle and Swan now use Locates, eagles spawn in treetop nests and Swan spawn in waterside nests. Added Harpy and Swan Eggs.
 
	v0.0.4
	- Added Beetles and Beetle Protein and other small fixes.
 
	v0.0.5
	- Fixed bug when picking up eggs and Updated ServerSync for crossplay.
 
	v0.0.6
	- Fix for Valheim Update Patch 0.211.11 (28/10/2022)
 
	v0.0.7
	- Mistlands compatible.
   
	v0.0.8
	- Fixed HarmonyPatch Bug.
 
	v0.0.9
	- Post fixes and changes to discord addresses.
 
	v0.1.0
	- Removed nest markings on the map.
	- Improvements to butterfly spawn.
 
	v0.1.1
	- Added compatibility with Patch 0.216.9
	
	v0.1.2
	- Updated to the latest valheim build (217.14) hilders request.
	- Registered multiplayer effects.
	
	v0.1.3
	- Removed Swan Nests and Harpy Eagle Nests
	- Added, Wild Duck, BroadTail Hummingbird, Bald Eagle, BarnOwl, RedCrownedCrane, Pigeon, SecretaryBird and Archaeopteryx.
	- Added translations for, Chinese, Danish, English, French, German, Icelandic, Italian, Japanese, Norwegian, Polish,
	  Portuguese, Russian, Spanish and Swedish.
 
</details>